gnupg-pkcs11-scd-proxy(1)

NAME
gnupg-pkcs11-scd-proxy - GnuPG-compatible smart-card proxy daemon gnupg-pkcs11-scd-proxy-server - GnuPG-compatible smart-card proxy server daemon

SYNOPSIS
gnupg-pkcs11-scd-proxy [--multi-server] [--socket file] [--verbose] [--log-file file] [--help]
gnupg-pkcs11-scd-proxy-server [--socket file] [--socket-group group] [--scd file] [--scd-config file] [--verbose] [--log-file file] [--help]

DESCRIPTION
gnupg-pkcs11-scd-proxy is a drop-in replacement for the smart-card daemon (scd) shipped with the next-generation GnuPG (gnupg-2). The daemon is a proxy into gnupg-pkcs11-scd-proxy-server which can be run within different security context to load the gnupg-pkcs11-scd smart-card daemon.

The communications between the proxy and the server is unix socket based. The assuan socket is created as world readable but with a specific user ACL, so that only initiating user can connect to the daemon.

The recommended version of gnupg is 2.1 since in this version the gnupg-pkcs11-scd configuration does not specify any specific key information and can be used as generic for all users.

The following options are available:

--multi-server
    Run in multi-server mode (foreground). In addition to communicating over stdin/stdout, the server also opens an additional listening UNIX socket.

--socket file
    Socket name, default should be sufficient.

--socket-group group
    A custom group to set for the proxy server socket, this may serve first level of access control.

--scd file
    The smartcard daemon location, default should be sufficient.

--scd-config file
    The smartcard daemon configuration, required parameter.

--verbose
    Be verbose while running.

--no-detach
    Do not detach from console (useful for debugging purposes).

--log-file file
    Output log to file.

--help
    Print help information.

When the daemon receives any of the SIGHUP, SIGTERM and SIGINT signals, it cleans up and exits.

SEE ALSO
gnupg-pkcs11-scd(1) gnupg-pkcs11 Home Page, http://gnupg-pkcs11.sourceforge.net.

AUTHORS AND COPYRIGHT
Copyright (c) 2006-2007 Zeljko Vrba <zvrba@globalnet.hr>

Copyright (c) 2006-2017 Alon Bar-Lev <alon.barlev@gmail.com>

All rights reserved.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.